# include directories
ACROOTDIR = ../../../..
RTLIBDIR  = $(ACROOTDIR)/cpp/lib
RTSRCDIR  = $(ACROOTDIR)/rtsrc
RTXSRCDIR = $(ACROOTDIR)/rtsrc
PERSRCDIR = $(ACROOTDIR)/rtpersrc

RRCROOTDIR = ../..
RRCLIBDIR = $(RRCROOTDIR)/lib
RRCSRCDIR = $(RRCROOTDIR)/src

CCFLAGS	= -D_TRACE $(CBLDTYPE_) $(CVARS_) $(MCFLAGS) $(CFLAGS_)
IPATHS  = -I$(SRCDIR) -I$(ACROOTDIR) -I$(RTSRCDIR) -I$(PERSRCDIR) $(IPATHS_)
LINKOPT	= $(LINKOPT_)
LPATHS  = $(LPPFX)$(RRCLIBDIR) $(LPPFX)$(RTLIBDIR) $(LPATHS_)
SRCDIR  = $(RRCSRCDIR)

HFILES = $(SRCDIR)/Class-definitions.h \
$(SRCDIR)/Constant-definitions.h \
$(SRCDIR)/InformationElements.h \
$(SRCDIR)/Internode-definitions.h \
$(SRCDIR)/PDU-definitions.h \
$(SRCDIR)/rtkey.h $(RTSRCDIR)/asn1type.h $(RTSRCDIR)/asn1CppTypes.h \
$(PERSRCDIR)/asn1per.h $(PERSRCDIR)/asn1PerCppTypes.h

LIBS  = $(RRCLIBDIR)/rrcv8_a.lib $(RTLIBDIR)/asn1per_a.lib \
$(RTLIBDIR)/asn1rt_a.lib

LLIBS = rrcv8_a.lib asn1per_a.lib asn1rt_a.lib
